WordPress 2.8-4.6 - Path Traversal in Upgrade Package Uploader

Affects WordPresses

fixed in version 4.6.1
fixed in version 4.5.4
fixed in version 4.5.4
fixed in version 4.5.4
fixed in version 4.5.4
fixed in version 4.4.5
fixed in version 4.4.5
fixed in version 4.4.5
fixed in version 4.4.5
fixed in version 4.4.5
fixed in version 4.3.6
fixed in version 4.3.6
fixed in version 4.3.6
fixed in version 4.3.6
fixed in version 4.3.6
fixed in version 4.3.6
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.2.10
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.1.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 4.0.13
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.9.14
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.8.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 3.7.16
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1
fixed in version 4.6.1

References

CVE 2016-7169
URL https://wordpress.org/news/2016/09/wordpress-4-6-1-security-and-maintenance-release/
URL https://github.com/WordPress/WordPress/commit/54720a14d85bc1197ded7cb09bd3ea790caa0b6e

Classification

Type LFI
OWASP Top 10 A1: Injection
CWE CWE-22

Miscellaneous

Submitter ethicalhack3r
Submitter Website https://dewhurstsecurity.com/
Submitter Twitter ethicalhack3r
Views 12795
Verified No
WPVDB ID 8616

Timeline

Publicly Published 2016-09-07 (almost 3 years ago)
Added 2016-09-08 (almost 3 years ago)
Last Updated 2018-08-29 (12 months ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin